> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /producthunt/users

> Get Product Hunt (producthunt.com) user profile by username or profile URL

**Price:** 5 credits

**⚠️ Common errors:** 412: User not found



## OpenAPI

````yaml /openapi/company-startup-intel.json post /api/producthunt/users
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/producthunt/users:
    post:
      tags:
        - /producthunt
      summary: /producthunt/users
      description: >-
        Get Product Hunt (producthunt.com) user profile by username or profile
        URL


        **Price:** 5 credits


        **⚠️ Common errors:** 412: User not found
      operationId: __api_producthunt_users_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProductHuntUsersPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProductHuntUser'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ProductHuntUsersPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        user:
          type: string
          minLength: 1
          pattern: >-
            ^(?:https?://[^\s]+|//[^\s]+|(?:www\.)?producthunt\.com[^\s]*|@?[A-Za-z0-9][A-Za-z0-9._-]*)$
      type: object
      required:
        - user
    ProductHuntUser:
      properties:
        '@type':
          type: string
          default: ProductHuntUser
        id:
          type: string
        alias:
          type: string
        name:
          type: string
        headline:
          anyOf:
            - type: string
            - type: 'null'
        url:
          type: string
        image:
          anyOf:
            - type: string
            - type: 'null'
        header_image:
          anyOf:
            - type: string
            - type: 'null'
        is_verified:
          anyOf:
            - type: boolean
            - type: 'null'
        is_maker:
          anyOf:
            - type: boolean
            - type: 'null'
        follower_count:
          anyOf:
            - type: integer
            - type: 'null'
        following_count:
          anyOf:
            - type: integer
            - type: 'null'
        submitted_post_count:
          anyOf:
            - type: integer
            - type: 'null'
        product_count:
          anyOf:
            - type: integer
            - type: 'null'
        collection_count:
          anyOf:
            - type: integer
            - type: 'null'
        stack_count:
          anyOf:
            - type: integer
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        day_streak:
          anyOf:
            - type: integer
            - type: 'null'
        twitter_username:
          anyOf:
            - type: string
            - type: 'null'
        kp_month:
          anyOf:
            - $ref: '#/components/schemas/ProductHuntUserKittyCoin'
            - type: 'null'
        kp_year:
          anyOf:
            - $ref: '#/components/schemas/ProductHuntUserKittyCoin'
            - type: 'null'
        kp_all_time:
          anyOf:
            - $ref: '#/components/schemas/ProductHuntUserKittyCoin'
            - type: 'null'
        links:
          items:
            $ref: '#/components/schemas/ProductHuntUserLink'
          type: array
          default: []
        badges:
          items:
            $ref: '#/components/schemas/ProductHuntUserBadge'
          type: array
          default: []
        products:
          items:
            $ref: '#/components/schemas/ProductHuntUserProduct'
          type: array
          default: []
      type: object
      required:
        - id
        - alias
        - name
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ProductHuntUserKittyCoin:
      properties:
        '@type':
          type: string
          default: ProductHuntUserKittyCoin
        rank:
          anyOf:
            - type: integer
            - type: 'null'
        kp:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    ProductHuntUserLink:
      properties:
        '@type':
          type: string
          default: ProductHuntUserLink
        id:
          anyOf:
            - type: string
            - type: 'null'
        kind:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        url:
          type: string
      type: object
      required:
        - url
    ProductHuntUserBadge:
      properties:
        '@type':
          type: string
          default: ProductHuntUserBadge
        id:
          anyOf:
            - type: string
            - type: 'null'
        kind:
          anyOf:
            - type: string
            - type: 'null'
        name:
          type: string
        count:
          anyOf:
            - type: integer
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    ProductHuntUserProduct:
      properties:
        '@type':
          type: string
          default: ProductHuntUserProduct
        id:
          type: string
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        tagline:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        is_offline:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
      required:
        - id
        - name
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````